/**
 * 有害气体配置接口
 */
import request from '@/utils/request'
// 有害气体配置查询
export function getHarmfulConfigList(params) {
  return request({
    url: 'busConfig/harmfulConfig/list',
    method: 'get',
    params
  })
}

// 修改有害气体配置
export function editHarmfulConfig(params) {
  return request({
    url: 'busConfig/harmfulConfig/config',
    method: 'post',
    params
  })
}

// 批量导入
export function batchImportHarmfulConfig(fileobj) {
  const param = new FormData()
  param.append('file', fileobj)
  return request({
    url: 'busConfig/harmfulConfig/batchImport',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
// 批量导出
export function batchExportHarmfulConfig(params) {
  return request({
    url: 'busConfig/harmfulConfig/batchExport',
    method: 'get',
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
